# DescribeInstanceMonitorData

## 1. API Description

This API (DescribeInstanceMonitorData) is used to query the performance data of the elastic compute instance.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                                                                   | Description          |
| -------------- | -------- | ---------------------------------------------------------------------------------------------------------------------- | -------------------- |
| instanceId     | Yes      | String                                                                                                                 | Instance ID.         |
| metricType     | Yes      | [InstanceApiMonitorMeta](https://docs.console.zenlayer.com/api-reference/compute/datastructure#instanceapimonitormeta) | Performance metrics. |
| startTime      | Yes      | String                                                                                                                 | Start time.          |
| endTime        | Yes      | String                                                                                                                 | End time.            |

## 3. Output Parameters

| Parameter Name | Type                                                                                                      | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| maxValue       | Float                                                                                                     | Maximum value.                                                                                                        |
| minValue       | Float                                                                                                     | Minimum value.                                                                                                        |
| avgValue       | Float                                                                                                     | Average value.                                                                                                        |
| metrics        | Array of [MetricValue](https://docs.console.zenlayer.com/api-reference/compute/datastructure#metricvalue) | Information on performance data.                                                                                      |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the performance data of the elastic compute instance.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInstanceMonitorData
<Common Request Params>

Request：
{
    "instanceId": "< instanceId >",
    "metricType": "VCPU_TIME",
    "startTime": "2025-06-25T01:55:00Z",
    "endTime": "2025-06-25T07:55:00Z"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "maxValue": 1.2,
    "minValue": 1.2,
    "avgValue": 1.2,
    "totalValue": 1.2,
    "out95": 1.2,
    "metrics": [
      {
        "time": "2023-07-11T08:05:00Z",
        "value": 1.2
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
